|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
public interface CommonVCloudClient
Provides access to VCloud resources via their REST API.
| Method Summary | |
|---|---|
void |
cancelTask(URI taskId)
|
Catalog |
findCatalogInOrgNamed(String orgName,
String catalogName)
returns the catalog in the organization associated with the specified name. |
CatalogItem |
findCatalogItemInOrgCatalogNamed(String orgName,
String catalogName,
String itemName)
returns the catalog item in the catalog associated with the specified name. |
OrgNetwork |
findNetworkInOrgVDCNamed(String orgName,
String catalogName,
String networkName)
|
Org |
findOrgNamed(String name)
This call returns a list of all vCloud Data Centers (vdcs), catalogs, and task lists within the organization. |
TasksList |
findTasksListInOrgNamed(String orgName)
|
VDC |
findVDCInOrgNamed(String orgName,
String vdcName)
returns the VDC in the organization associated with the specified name. |
Catalog |
getCatalog(URI catalogId)
|
CatalogItem |
getCatalogItem(URI catalogItem)
|
OrgNetwork |
getNetwork(URI network)
|
Org |
getOrg(URI orgId)
|
Task |
getTask(URI taskId)
Whenever the result of a request cannot be returned immediately, the server creates a Task object and includes it in the response, as a member of the Tasks container in the response body. |
TasksList |
getTasksList(URI tasksListId)
|
VDC |
getVDC(URI vdc)
|
| Method Detail |
|---|
Org getOrg(URI orgId)
Org findOrgNamed(@Nullable
String name)
name - organization name, or null for the default
NoSuchElementException - if you specified an org name that isn't presentCatalog getCatalog(URI catalogId)
Catalog findCatalogInOrgNamed(@Nullable
String orgName,
@Nullable
String catalogName)
orgName - organization name, or null for the defaultcatalogName - catalog name, or null for the default
NoSuchElementException - if you specified an org or catalog name that isn't presentCatalogItem getCatalogItem(URI catalogItem)
CatalogItem findCatalogItemInOrgCatalogNamed(@Nullable
String orgName,
@Nullable
String catalogName,
String itemName)
orgName - organization name, or null for the defaultcatalogName - catalog name, or null for the defaultitemName - item you wish to lookup
NoSuchElementException - if you specified an org, catalog, or catalog item name that isn't present
OrgNetwork findNetworkInOrgVDCNamed(@Nullable
String orgName,
@Nullable
String catalogName,
String networkName)
OrgNetwork getNetwork(URI network)
VDC getVDC(URI vdc)
VDC findVDCInOrgNamed(String orgName,
String vdcName)
orgName - organization name, or null for the defaultvdcName - catalog name, or null for the default
NoSuchElementException - if you specified an org or vdc name that isn't presentTasksList getTasksList(URI tasksListId)
TasksList findTasksListInOrgNamed(String orgName)
Task getTask(URI taskId)
void cancelTask(URI taskId)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||